## Index

### Functions

- lookup
- lookupOnFisson
- update

## Functions

### lookup

- lookup(username: string): Promise<CID | null>

- - Defined in data-root.ts:25

  Get the CID of a user's data root. First check Fission server, then check DNS

  #### Parameters

  - ##### username: string

    The username of the user that we want to get the data root of.

  #### Returns Promise<CID | null>

### lookupOnFisson

- lookupOnFisson(username: string): Promise<CID | null>

- - Defined in data-root.ts:46

  Get the CID of a user's data root from the Fission server.

  #### Parameters

  - ##### username: string

    The username of the user that we want to get the data root of.

  #### Returns Promise<CID | null>

### update

- update(cidInstance: CID, proof: string): Promise<{ success: boolean }>

- - Defined in data-root.ts:75

  Update a user's data root.

  #### Parameters

  - ##### cidInstance: CID

  - ##### proof: string

    The proof to use in the UCAN sent to the API.

  #### Returns Promise<{ success: boolean }>

Generated using TypeDoc